	.text
#APP
	memmove = __GI_memmove
	memset = __GI_memset
	memcpy = __GI_memcpy
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"CONF_PREFIX/libexec/getconf"
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC1:
	.string	"GETCONF_DIR"
#NO_APP
	.text
	.p2align 4,,15
	.type	__sysconf_check_spec, @function
__sysconf_check_spec:
.LFB78:
	pushq	%rbp
	movq	%rsp, %rbp
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	movq	%rdi, %r13
	pushq	%rbx
	leaq	.LC1(%rip), %rdi
	subq	$152, %rsp
	movq	__libc_errno@gottpoff(%rip), %rax
	movl	%fs:(%rax), %r12d
	call	__GI___libc_secure_getenv
	testq	%rax, %rax
	je	.L4
	movq	%rax, %rdi
	movq	%rax, %r15
	call	__GI_strlen
	movq	%rax, %rbx
.L2:
	movq	%r13, %rdi
	call	__GI_strlen
	movq	%rax, %r14
	leaq	26(%rbx,%rax), %rax
	movq	%rbx, %rdx
	movq	%r15, %rsi
	andq	$-16, %rax
	subq	%rax, %rsp
	movq	%rsp, %rdi
	call	__GI_mempcpy
	movl	$24374, %edx
	movabsq	$6223790282002878511, %rcx
	leaq	10(%rax), %rdi
	movw	%dx, 8(%rax)
	leaq	1(%r14), %rdx
	movq	%rcx, (%rax)
	movq	%r13, %rsi
	call	__GI_memcpy@PLT
	leaq	-192(%rbp), %rsi
	movq	%rsp, %rdi
	call	__GI___stat64
	movq	__libc_errno@gottpoff(%rip), %rcx
	cltq
	sarq	$63, %rax
	orq	$1, %rax
	movl	%r12d, %fs:(%rcx)
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	ret
	.p2align 4,,10
	.p2align 3
.L4:
	movl	$39, %ebx
	leaq	.LC0(%rip), %r15
	jmp	.L2
.LFE78:
	.size	__sysconf_check_spec, .-__sysconf_check_spec
	.section	.rodata.str1.1
.LC2:
	.string	"/proc/sys/kernel/rtsig-max"
.LC3:
	.string	"/proc/sys/kernel/ngroups_max"
.LC4:
	.string	"ILP32_OFF32"
.LC5:
	.string	"ILP32_OFFBIG"
	.text
	.p2align 4,,15
	.globl	__GI___sysconf
	.hidden	__GI___sysconf
	.type	__GI___sysconf, @function
__GI___sysconf:
.LFB15:
	pushq	%r13
	pushq	%r12
	pushq	%rbp
	pushq	%rbx
	movl	%edi, %ebx
	leal	-185(%rbx), %eax
	subq	$56, %rsp
	cmpl	$14, %eax
	jbe	.L96
	cmpl	$34, %ebx
	je	.L12
	jg	.L13
	testl	%ebx, %ebx
	je	.L14
	cmpl	$3, %ebx
	jne	.L11
	leaq	.LC3(%rip), %rdi
	xorl	%eax, %eax
	movl	$524288, %esi
	call	__GI___open_nocancel
	movl	%eax, %r12d
	movl	$65536, %eax
	cmpl	$-1, %r12d
	je	.L8
	leaq	16(%rsp), %r13
	jmp	.L21
	.p2align 4,,10
	.p2align 3
.L98:
	movq	__libc_errno@gottpoff(%rip), %rax
	cmpl	$4, %fs:(%rax)
	jne	.L97
.L21:
	movl	$31, %edx
	movq	%r13, %rsi
	movl	%r12d, %edi
	call	__GI___read_nocancel
	cmpq	$-1, %rax
	movq	%rax, %rbp
	je	.L98
	movl	%r12d, %edi
	call	__GI___close_nocancel
	testq	%rbp, %rbp
	jle	.L11
	leaq	8(%rsp), %rsi
	movl	$10, %edx
	movq	%r13, %rdi
	movb	$0, 16(%rsp,%rbp)
	call	__GI_strtol
	movq	8(%rsp), %rdx
	cmpq	%r13, %rdx
	je	.L11
	movzbl	(%rdx), %edx
	testb	%dl, %dl
	je	.L8
	cmpb	$10, %dl
	je	.L8
	.p2align 4,,10
	.p2align 3
.L11:
	cmpl	$246, %ebx
	ja	.L26
	leaq	.L27(%rip), %rdx
	movslq	(%rdx,%rbx,4), %rax
	addq	%rdx, %rax
	jmp	*%rax
	.section	.rodata
	.align 4
	.align 4
.L27:
	.long	.L95-.L27
	.long	.L28-.L27
	.long	.L29-.L27
	.long	.L30-.L27
	.long	.L31-.L27
	.long	.L67-.L27
	.long	.L95-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L68-.L27
	.long	.L76-.L27
	.long	.L95-.L27
	.long	.L37-.L27
	.long	.L16-.L27
	.long	.L38-.L27
	.long	.L66-.L27
	.long	.L95-.L27
	.long	.L76-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L40-.L27
	.long	.L75-.L27
	.long	.L40-.L27
	.long	.L42-.L27
	.long	.L71-.L27
	.long	.L26-.L27
	.long	.L66-.L27
	.long	.L75-.L27
	.long	.L69-.L27
	.long	.L75-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L46-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L46-.L27
	.long	.L46-.L27
	.long	.L47-.L27
	.long	.L66-.L27
	.long	.L58-.L27
	.long	.L46-.L27
	.long	.L50-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L51-.L27
	.long	.L52-.L27
	.long	.L53-.L27
	.long	.L54-.L27
	.long	.L76-.L27
	.long	.L56-.L27
	.long	.L57-.L27
	.long	.L58-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L60-.L27
	.long	.L61-.L27
	.long	.L62-.L27
	.long	.L76-.L27
	.long	.L64-.L27
	.long	.L80-.L27
	.long	.L66-.L27
	.long	.L67-.L27
	.long	.L68-.L27
	.long	.L69-.L27
	.long	.L61-.L27
	.long	.L62-.L27
	.long	.L69-.L27
	.long	.L70-.L27
	.long	.L71-.L27
	.long	.L72-.L27
	.long	.L95-.L27
	.long	.L73-.L27
	.long	.L74-.L27
	.long	.L75-.L27
	.long	.L76-.L27
	.long	.L76-.L27
	.long	.L76-.L27
	.long	.L76-.L27
	.long	.L77-.L27
	.long	.L78-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L79-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L16-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L77-.L27
	.long	.L78-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L80-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L26-.L27
	.long	.L16-.L27
	.long	.L16-.L27
	.long	.L77-.L27
	.long	.L78-.L27
	.long	.L79-.L27
	.long	.L95-.L27
	.long	.L26-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.long	.L95-.L27
	.text
	.p2align 4,,10
	.p2align 3
.L96:
	movl	%ebx, %edi
	call	__cache_sysconf
.L8:
	addq	$56, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	ret
	.p2align 4,,10
	.p2align 3
.L14:
	leaq	16(%rsp), %rsi
	movl	$3, %edi
	call	__GI___getrlimit
	movl	%eax, %edx
	movl	$131072, %eax
	testl	%edx, %edx
	jne	.L8
	movq	16(%rsp), %rdx
	movq	%rdx, %rcx
	shrq	$2, %rcx
	cmpq	$524287, %rdx
	cmova	%rcx, %rax
	jmp	.L8
	.p2align 4,,10
	.p2align 3
.L12:
	leaq	16(%rsp), %r13
	movl	$11, %edi
	movq	%r13, %rsi
	call	__GI___getrlimit
	testl	%eax, %eax
	je	.L99
	leaq	.LC2(%rip), %rdi
	xorl	%eax, %eax
	movl	$524288, %esi
	call	__GI___open_nocancel
	cmpl	$-1, %eax
	movl	%eax, %r12d
	jne	.L21
.L95:
	movq	$-1, %rax
	jmp	.L8
	.p2align 4,,10
	.p2align 3
.L13:
	cmpl	$138, %ebx
	jl	.L11
	cmpl	$139, %ebx
	jle	.L16
	cmpl	$149, %ebx
	jne	.L11
.L16:
	addq	$56, %rsp
	movl	$200809, %eax
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	ret
	.p2align 4,,10
	.p2align 3
.L97:
	movl	%r12d, %edi
	call	__GI___close_nocancel
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L79:
	movl	$1, %eax
	jmp	.L8
	.p2align 4,,10
	.p2align 3
.L76:
	movl	$2147483647, %eax
	jmp	.L8
.L66:
	movl	$32, %eax
	jmp	.L8
.L46:
	movl	$1024, %eax
	jmp	.L8
.L75:
	movl	$2048, %eax
	jmp	.L8
.L69:
	movl	$32767, %eax
	jmp	.L8
.L77:
	leaq	.LC4(%rip), %rdi
	call	__sysconf_check_spec
	jmp	.L8
.L78:
	leaq	.LC5(%rip), %rdi
	call	__sysconf_check_spec
	jmp	.L8
.L61:
	movl	$127, %eax
	jmp	.L8
.L58:
	movl	$4, %eax
	jmp	.L8
.L71:
	movl	$255, %eax
	jmp	.L8
.L40:
	movl	$99, %eax
	jmp	.L8
.L80:
	movl	$64, %eax
	jmp	.L8
.L62:
	movq	$-128, %rax
	jmp	.L8
.L68:
	movl	$20, %eax
	jmp	.L8
.L67:
	movl	$16, %eax
	jmp	.L8
.L60:
	movl	$8, %eax
	jmp	.L8
.L42:
	movl	$1000, %eax
	jmp	.L8
.L37:
	movl	$32768, %eax
	jmp	.L8
.L52:
	call	__GI___get_nprocs
	cltq
	jmp	.L8
.L38:
	call	__GI___getpagesize
	cltq
	jmp	.L8
.L54:
	call	__GI___get_avphys_pages
	jmp	.L8
.L73:
	movl	$65535, %eax
	jmp	.L8
.L50:
	movl	$16384, %eax
	jmp	.L8
.L51:
	call	__GI___get_nprocs_conf
	cltq
	jmp	.L8
.L70:
	movq	$-32768, %rax
	jmp	.L8
.L72:
	movl	$4294967295, %eax
	jmp	.L8
.L53:
	call	__GI___get_phys_pages
	jmp	.L8
.L64:
	movq	$-2147483648, %rax
	jmp	.L8
.L57:
	movl	$700, %eax
	jmp	.L8
.L56:
	movl	$8192, %eax
	jmp	.L8
.L31:
	call	__getdtablesize
	cltq
	jmp	.L8
.L74:
	movl	$4096, %eax
	jmp	.L8
.L47:
	movl	$256, %eax
	jmp	.L8
.L29:
	call	__getclktck
	cltq
	jmp	.L8
.L28:
	call	__get_child_max
	jmp	.L8
.L26:
	movq	__libc_errno@gottpoff(%rip), %rax
	movl	$22, %fs:(%rax)
	jmp	.L95
	.p2align 4,,10
	.p2align 3
.L99:
	movq	16(%rsp), %rax
	jmp	.L8
.L30:
	movl	$65536, %eax
	jmp	.L8
.LFE15:
	.size	__GI___sysconf, .-__GI___sysconf
	.weak	sysconf
	.set	sysconf,__GI___sysconf
	.globl	__sysconf
	.set	__sysconf,__GI___sysconf
	.hidden	__get_child_max
	.hidden	__getclktck
	.hidden	__getdtablesize
	.hidden	__cache_sysconf
